asn1-encoding-0.9.5: ASN1 data reader and writer in RAW, BER and DER forms

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe
Language | Haskell2010

Data.ASN1.Error

Contents

- Errors types

Description

Synopsis

- data ASN1Error
  - = StreamUnexpectedEOC
  - | StreamInfinitePrimitive
  - | StreamConstructionWrongSize
  - | StreamUnexpectedSituation String
  - | ParsingHeaderFail String
  - | ParsingPartial
  - | TypeNotImplemented String
  - | TypeDecodingFailed String
  - | TypePrimitiveInvalid String
  - | PolicyFailed String String

# Errors types

data ASN1Error #

Possible errors during parsing operations

Constructors

StreamUnexpectedEOC | Unexpected EOC in the stream.
StreamInfinitePrimitive | Invalid primitive with infinite length in a stream.
StreamConstructionWrongSize | A construction goes over the size specified in the header.
StreamUnexpectedSituation String | An unexpected situation has come up parsing an ASN1 event stream.
ParsingHeaderFail String | Parsing an invalid header.
ParsingPartial | Parsing is not finished, there is construction unended.
TypeNotImplemented String | Decoding of a type that is not implemented. Contribution welcome.
TypeDecodingFailed String | Decoding of a knowed type failed.
TypePrimitiveInvalid String | Invalid primitive type
PolicyFailed String String | Policy failed including the name of the policy and the reason.

Instances

Eq ASN1Error # |
Methods (==) :: ASN1Error -> ASN1Error -> Bool # (/=) :: ASN1Error -> ASN1Error -> Bool #
Show ASN1Error # |
Methods showsPrec :: Int -> ASN1Error -> ShowS # show :: ASN1Error -> String # showList :: [ASN1Error] -> ShowS #
Exception ASN1Error # |
Methods toException :: ASN1Error -> SomeException # fromException :: SomeException -> Maybe ASN1Error # displayException :: ASN1Error -> String #